--[[
	This is a list of spells I've manually confirmed duration for. This is for debugging and adding new spells. End user won't load this code into memory.
]]

local lib = LibStub("LibAuraInfo-1.0");
if(not lib) then error("otherSpellIdData.lua for LibAuraInfo needs library loaded."); return; end



--[===[@debug@
--Durations I've confirmed on WoWHead/WoWWiki. This is so my debug message doesn't alert me to mismatched duration of these spells.
--If durations don't match these, they're probably speced into something.
lib.confirmedDur = {
[57623] = true,--Horn of Winter (Rank 2)
[33763] = true,--Lifebloom (Rank 1)
[48441] = true,--Rejuvenation (Rank 15)
[31665] = true,--Master of Subtlety
[1075] = true,--Thorns (Rank 3)
[58427] = true,--Overkill
[71633] = true,--Thick Skin
[15571] = true,--Dazed
[19615] = true,--Frenzy Effect (Rank 1)
[6774] = true,--Slice and Dice (Rank 2)
[53563] = true,--Beacon of Light
[6788] = true,--Weakened Soul
[48300] = true,--Devouring Plague (Rank 9)
[48936] = true,--Blessing of Wisdom (Rank 9)
[355] = true,--Taunt (DR)
[53477] = true,--Taunt (DR)
[694] = true,--Mocking Blow (DR)
[6795] = true,--Growl (DR)
[56222] = true,--Dark Command (DR)
[62124] = true,--Hand of Reckoning (DR)
[31790] = true,--Righteous Defense (DR)
[20736] = true,--Distracting Shot (DR)
[1161] = true,--Challenging Shout (DR)
[5209] = true,--Challenging Roar (DR)
[49560] = true,--Death Grip (DR)
[51514] = true,--Hex (DR)
[9484] = true,--Shackle Undead (DR)
--~ 	[118] = true,--Polymorph (Rank 1)
--~ 	[3355] = true,--Freezing Trap Effect (Rank 1)
[60210] = true,--Freezing Arrow Effect (Rank 1)
[8983] = true,-- Bash (Rank 3)
[59671] = true,-- Challenging Howl (Demon)
[33786] = true,-- Cyclone (DR)
[60305] = true,-- Heart of a Dragon
[47440] = true,-- Commanding Shout (Rank 3)
[48707] = true,-- Anti-Magic Shell
[61258] = true,-- Runic Return (Rank 2)
[58597] = true,-- Sacred Shield (Rank 1)
[67371] = true,-- Holy Strength
[45529] = true,-- Blood Tap
[48792] = true,--Icebound Fortitude
[12809] = true,-- Concussion Blow (DR)
[6215] = true,-- Fear (Rank 3) (DR)
[55078] = true,-- Blood Plague
[54374] = true,-- Nether Protection
[55095] = true,-- Frost Fever
[48463] = true,--Moonfire (Rank 14)
[55021] = true,--Silenced - Improved Counterspell (Rank 2)
[1044] = true,--Hand of Freedom
[55637] = true,--Lightweave
[51735] = true,--Ebon Plague
[60318] = true,--Edward's Insight
[61301] = true,--Riptide (Rank 4)
[48470] = true,--Gift of the Wild (Rank 4)
[49800] = true,--Rip (Rank 9)
[52610] = true, --Savage Roar (Rank 1)
[48932] = true, --Blessing of Might (Rank 10)
[47883] = true, --Soulstone Resurrection
[49236] = true, --Frost Shock (Rank 7)
[49233] = true, --Flame Shock (Rank 9)
[47891] = true, --Shadow Ward (Rank 6)
[20578] = true, --Cannibalize
[58374] = true, --Glyph of Blocking
[47813] = true, --Corruption (Rank 10)
[20170] = true, --Stun
[28730] = true, --Arcane Torrent (Racial)
[2374] = true, --Lesser Agility
[10308] = true,-- Hammer of Justice (Rank 4) (DR)
[10890] = true,--Psychic Scream (Rank 4)
[47481] = true,--Gnaw (Pet)

[47476] = true,--Strangulate (DR)

[49203] = true,--Hungering Cold (Rank 1) (DR)
--~ 	[1513] = true,--Scare Beast (Rank 1)
--~ 	[49012] = true, --Wyvern Sting (Rank 6)
--~ 	[61721] = true, --Polymorph (Rabbit)
--~ 	[20066] = true, --Repentance
[8643] = true, --Kidney Shot (Rank 2)
[53752] = true, --Lesser Flask of Toughness

[53601] = true,  --Sacred Shield (Rank 1)
[58799] = true, --Frostbrand Attack (Rank 9)
[26992] = true,  --Thorns (Rank 7)
[60346] = true, --Lightning Speed
[48451] = true, --Lifebloom (Rank 3)
[48564] = true, --Mangle (Bear) (Rank 5)
[60347] = true, --Mighty Thoughts
[53755] = true, --Flask of the Frost Wyrm
[47437] = true, --Demoralizing Shout (Rank 8)
[17364] = true, --Stormstrike
[48169] = true, --Shadow Protection (Rank 5)
[53307] = true, --Thorns (Rank 8)
[48170] = true, --Prayer of Shadow Protection (Rank 3)
[47811] = true, --Immolate (Rank 11)
[43008] = true, --Ice Armor (Rank 6)
[47436] = true, --Battle Shout (Rank 9)
[45524] = true, --Chains of Ice
[58567] = true, --Sunder Armor (Rank 1)
[57975] = true, --Wound Poison VII (Rank 7)
[36563] = true, --Shadowstep
[25433] = true, --Shadow Protection (Rank 4)
[3409] = true, --Crippling Poison
[48160] = true, --Vampiric Touch (Rank 5)
[48156] = true, --Mind Flay (Rank 9)
[43002] = true, --Arcane Brilliance (Rank 3)
[770] = true, --Faerie Fire
[16857] = true, --Faerie Fire (Feral)
[31589] = true, --Slow
[47241] = true, --Metamorphosis
[19837] = true, --Blessing of Might (Rank 5)
[60345] = true, --Armor Piercing
[33721] = true, --Spellpower Elixir
[2378] = true, --Health
[28497] = true, --Mighty Agility
[25771] = true, --Forbearance
[7301] = true, --Frost Armor (Rank 3)
[2367] = true, --Lesser Strength
[8212] = true, --Enlarge
[49001] = true, --Serpent Sting (Rank 12)
[64695] = true, --Earthgrab
[47465] = true, --Rend (Rank 10)
[9910] = true, --Thorns (Rank 6)
[42842] = true, --Frostbolt (Rank 16)
[57993] = true, --Envenom (Rank 4) I can't quite confirm this one. =/
[48443] = true, --Regrowth (Rank 12)
[5116] = true, --Concussive Shot
[48162] = true, --Prayer of Fortitude (Rank 4)
[53758] = true, --Flask of Stoneblood
[3593] = true, --Elixir of Fortitude
[47865] = true, --Curse of the Elements (Rank 5)
[43771] = true, --Well Fed
[72588] = true, --Gift of the Wild
[15007] = true, --Resurrection Sickness
[47823] = true, --Hellfire (Rank 5)
[51693] = true, --Waylay
[53760] = true, --Flask of Endless Rage
[39627] = true, --Elixir of Draenic Wisdom
[47855] = true, --Drain Soul (Rank 6)
[53751] = true, --Elixir of Mighty Fortitude
[32391] = true, --Shadow Embrace
[53220] = true, --Improved Steady Shot
[19850] = true, --Blessing of Wisdom (Rank 2)
[47857] = true, --Drain Life (Rank 9)
[34490] = true, --Silencing Shot
[19821] = true, --Arcane Bomb
[10957] = true, --Shadow Protection (Rank 2)
[25291] = true, --Blessing of Might (Rank 7)
[11328] = true, --Agility
[19836] = true, --Blessing of Might (Rank 4)
[54212] = true, --Flask of Pure Mojo
[15258] = true, --Shadow Weaving (Rank 1)
[53749] = true, --Guru's Elixir
[48125] = true, --Shadow Word: Pain (Rank 12)
[3714] = true, --Path of Frost
[12051] = true, --Evocation
[48299] = true, --Devouring Plague (Rank 8)
[48672] = true, --Rupture (Rank 9) [This changed based on combo points]
[48301] = true, --Mind Trauma
[28491] = true, --Healing Power
[7320] = true, --Ice Armor (Rank 2)
[20184] = true, --Judgement of Justice
[63529] = true, --Silenced - Shield of the Templar
[29175] = true,  --Ribbon Dance
[782] = true, --Thorns (Rank 2)
[2974] = true, --Wing Clip
[34917] = true,  --Vampiric Touch (Rank 3)
[25221] = true,  --Renew (Rank 11)
[53023] = true, --Mind Sear (Rank 2)
[39374] = true, --Prayer of Shadow Protection (Rank 2)
[43012] = true, --Frost Ward (Rank 7)
[53747] = true, --Elixir of Spirit
}

--@end-debug@]===]